@import 'tailwindcss/base';
@import 'tailwindcss/components';
@import 'tailwindcss/utilities';

@import './Home.module.css';

html,
body {
  padding: 0;
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen,
    Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, sans-serif;
  font-size: 16px;
}

* {
  box-sizing: border-box;
}



:root {
  --dark: #1D1D1D;
  --white: #F1F1F1;
  --green: #667943;
  --green-darker: #465B38;
  --red: #A62D1E;
  --red-lighter: #9B422D;
  --gold: #F3A734;
  --linear-gradient: linear-gradient(90.38deg, #444B37 -5.95%, #181E14 103.73%);
}

@media (prefers-color-scheme: dark) {
  html {
    color-scheme: dark;
  }
  body {
    color: --white;
    background: --dark;
  }
}

a.button {
  color: inherit;
  text-decoration: none;
  background: var(--linear-gradient);
  border: 1px solid transparent;
  padding: 10px 40px;
  border-radius: 5px;
  transition: all .3s;
  cursor: pointer;
  position: relative;
  z-index: 101;
}

a.button:hover {
  color: var(--green);
  border: 1px solid var(--green);
  background: transparent;
}

.selected {
  opacity: .2;
  box-shadow: 3px 6px 12px rgba(218, 218, 218, 0.6);
}
.correct {
  opacity: .5;
}
.correct::after {
  position: absolute;
  bottom: 5px;
  right: 5px;
  content: "\2713";
  background-color: green;
  border-radius: 100%;
  padding: 0 7px;
  font-size: 20px;
}

@keyframes succeded {
  0% {
      transform: scale(1.1);
      box-shadow: 3px 6px 12px rgba(green, .7);
  } 100% {
      transform: scale(1);
      box-shadow: 3px 3px 5px rgba(green, .2);
  }
}

.jigsaw-puzzle {
  width: 100%;
  max-width: 600px;
  box-shadow: 3px 6px 12px rgba(45, 45, 45, 0.3);
  border-radius: 10px;
  overflow: hidden;
  z-index: 99;
}


.jigsaw-puzzle__piece.jigsaw-puzzle__piece--solved {
  border-color: green !important;
  animation: succeded .3s ease-in !important;
}